org.apache.thrift.async

## Class TAsyncClientManager

- java.lang.Object
- - org.apache.thrift.async.TAsyncClientManager

-     public class TAsyncClientManager
      extends java.lang.Object

  Contains selector thread which transitions method call objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TAsyncClientManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call(TAsyncMethodCall method)`
    `boolean` | `isRunning()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TAsyncClientManager

          public TAsyncClientManager()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### call

          public void call(TAsyncMethodCall method)
                    throws TException

      Throws:
        `TException`

    - #### stop

          public void stop()

    - #### isRunning

          public boolean isRunning()